<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum PacePreference: string implements HasLabel
{
    case SLOW = 'slow';
    case NORMAL = 'normal';
    case FAST = 'fast';

    public function getLabel(): string
    {
        return match ($this) {
            self::SLOW => __('enums.pace_preference.slow'),
            self::NORMAL => __('enums.pace_preference.normal'),
            self::FAST => __('enums.pace_preference.fast'),
        };
    }
}
